Coupon uses
Coupons used in bookings
The coupon use object
Attributes
iduuidUnique identifier
created_atread-onlytimestamp with time zoneCreation timestamp
Related resources
Embed related resources in the response with the select parameter, for example select=*,bookings(*). Resources related through more than one column need the column as a hint, like table!column(*).
{
"id": "00000000-0000-0000-0000-000000000000",
"booking_id": "00000000-0000-0000-0000-000000000000",
"coupon_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-11-14T14:47:44.951Z"
}curl "https://api.bookingmood.com/v1/coupon_uses?limit=10&select=*,bookings(*),coupons(*)" \
-H "Authorization: Bearer YOUR_API_KEY"List coupon uses
Requiresbookings:read
Filters
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
Responses
200A list of coupon uses with the selected columns
206Partial Content
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
403The API key or access token doesn't have the scope this request needs.
429The API key made more requests per minute than its rate limit allows. Retry after the number of seconds in the `Retry-After` header.
code, message, details and hint. See the introduction for more on errors.curl "https://api.bookingmood.com/v1/coupon_uses?select=*&limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"booking_id": "00000000-0000-0000-0000-000000000000",
"coupon_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-11-14T14:47:44.951Z"
}
]Create coupon uses
Requiresbookings:write
Body
Partial<CouponUse> | Array<Partial<CouponUse>>Read-only attributes are set by the database and can't be written.
Responses
201The newly created coupon uses with the selected columns
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key or access token doesn't have the scope this request needs, or no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
429The API key made more requests per minute than its rate limit allows. Retry after the number of seconds in the `Retry-After` header.
code, message, details and hint. See the introduction for more on errors.curl "https://api.bookingmood.com/v1/coupon_uses" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"booking_id": "00000000-0000-0000-0000-000000000000",
"coupon_id": "00000000-0000-0000-0000-000000000000"
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"booking_id": "00000000-0000-0000-0000-000000000000",
"coupon_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-11-14T14:47:44.951Z"
}
]Delete coupon uses
Requiresbookings:write
Filters
Without filters, this request deletes all coupon uses you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
Responses
200The deleted coupon uses with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
403The API key or access token doesn't have the scope this request needs, or no permission for this change, for example when writing rows of another organization.
429The API key made more requests per minute than its rate limit allows. Retry after the number of seconds in the `Retry-After` header.
code, message, details and hint. See the introduction for more on errors.curl -X DELETE "https://api.bookingmood.com/v1/coupon_uses?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"booking_id": "00000000-0000-0000-0000-000000000000",
"coupon_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-11-14T14:47:44.951Z"
}
]Update coupon uses
Requiresbookings:write
Filters
Without filters, this request updates all coupon uses you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
Body
Partial<CouponUse>Read-only attributes are set by the database and can't be written.
Responses
200The updated coupon uses with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key or access token doesn't have the scope this request needs, or no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
429The API key made more requests per minute than its rate limit allows. Retry after the number of seconds in the `Retry-After` header.
code, message, details and hint. See the introduction for more on errors.curl -X PATCH "https://api.bookingmood.com/v1/coupon_uses?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"booking_id": "00000000-0000-0000-0000-000000000000",
"coupon_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-11-14T14:47:44.951Z"
}
]